EDIT - feature request #9042

EnumTerm symbol and message in web service response
05/28/2020 03:07 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

Implementations of IEnumTerm may have a message in multiple languages and a symbol.

Implement a Json Bean processor to add these data to the web service responses.

Related issues:

Related to EDIT - feature request #9002: Find suitable symbols for excluded, ... New
Related to EDIT - feature request #9010: Display taxon node status excluded, ... Closed
Related to EDIT - feature request #9044: TaxonNodeDtoBeanProcessor supports n... Closed

Associated revisions

Revision 17d751¢7 - 05/28/2020 03:43 PM - Andreas Kohlbecker

ref #9042 Helper class to provide localizations for EnumTerms + premliminar implementation of an EnumTermBeanProcessor

Revision fbbfd017 - 05/28/2020 05:00 PM - Andreas Kohlbecker

ref #9042 removing EnumTermBeanProcessor to avoid compilation problems

History

#1 - 05/28/2020 03:08 PM - Andreas Kohlbecker

- Related to feature request #9002: Find suitable symbols for excluded, unplaced, placement doubtful added

#2 - 05/28/2020 03:12 PM - Andreas Miuller

- Subject changed from EumTerm symbol and message in web service response to EnumTerm symbol and message in web service response

#3 - 05/28/2020 03:33 PM - Andreas Kohlbecker

- Related to feature request #9010: Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon
node status note and taxon node source on taxon page added

#4 - 05/28/2020 03:37 PM - Andreas Kohlbecker

- Related to feature request #9044: TaxonNodeDtoBeanProcessor supports new TaxonNodeStatus terms added

#5 - 05/28/2020 05:25 PM - Andreas Kohlbecker

- Priority changed from Highest to Priority 14

- Target version changed from Release 5.15 to cdm_dataportal - Next Major Release
ich Uberlege hin und her wie wir das am besten machen:

1. Equivalent zu dem anderen Termen also als eigenes Objekt in JSON
2. flach wie schon jetzt im TaxonNodeDtoBeanProcessor implementiert: #9044

Option 1. ware mit dem Termen wie sie serialisiert werden konsistent, wiirde aber mit bestehendem code Probleme machen. Daher tendiere ich zu 2.
#6 - 05/28/2020 05:26 PM - Andreas Kohlbecker
[a.mueller]:

Modellseitig sollten die Enums sehr dhnlich wie Terme gehandelt werden (eigentlich sind es fixe Termvokabulare). Das sprache schon fir 2.
Aber vielleicht machen wir das erst beim Umbau der remote API.
#7 - 05/28/2020 10:04 PM - Andreas Miiller

- Target version changed from cdm_dataportal - Next Major Release to Release 5.15

#8 - 06/23/2020 04:18 PM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#9 - 01/13/2021 04:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#10 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#11 - 03/10/2021 02:54 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#12 - 04/19/2021 04:33 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46
